#!/bin/sh -efu

. install2-sh-functions

#create sources.list
case "$METHOD" in
	cdrom|disk|nfs)
		url="file:$image_dir"
		comps="$(find "$image_dir"/ALTLinux \
			    -mindepth 1 -maxdepth 1 -type d -name 'RPMS.*' -printf '%f\n' |
			    sed -e 's/^RPMS\.//' |
			    tr '\n' ' ')"
		;;
	http|ftp)
		url="$image_url"
		comps="main"
		;;
esac
printf 'rpm %s ALTLinux %s\n' "$url" "${comps% }" >/etc/apt/sources.list

#create special apt.conf
cat >/etc/apt/apt.conf <<__EOF__
Dir::State "$destdir/var/lib/apt/";
Dir::Cache "$destdir/var/cache/apt/";
RPM::RootDir "$destdir";
APT::Install::Virtual "true";
APT::Install::VirtualVersion "true";
Acquire::CDROM::Copy-All "false";
__EOF__

temp_file=/tmp/pkg-groups.tar
if ! [ -f "$temp_file" ] && cp-metadata "$temp_file" ;then
    mkdir -p -- var/lib/install3
    tar -C /var/lib/install3 -xpf "$temp_file"
fi
