#!/bin/sh -efu

. install2-init-functions

cdrom_dir="/media/cdrom"

# clean apt cache
run_chroot apt-get clean

# setup apt sources
sources_list()
{
	local url="$1";shift;
	local comps="$1";shift;

	mkdir -p -- "$destdir/etc/apt/sources.list.d"
	printf 'rpm %s ALTLinux %s\n' "$url" "${comps% }" > "$destdir/etc/apt/sources.list.d/sources.installer.list"
}

sources_cdrom()
{
    run_chroot mount "$cdrom_dir"
    run_chroot apt-cdrom --cdrom "$cdrom_dir" --no-mount -o dir::etc=/etc/apt/sources.list.d add
    run_chroot umount "$cdrom_dir"
}

case "$METHOD" in
	cdrom)
		printf '%s\t%s\t%s\t%s\t%s\n' "$CDROMDEV" "$cdrom_dir" "udf,iso9660" "ro,noauto,user,utf8" "0 0" >> "$destdir/etc/fstab"
		mkdir -p -- "$destdir/$cdrom_dir"
		sources_cdrom
		;;
	http|ftp)
		sources_list "$image_url" "base"
		;;
	disk|nfs)
		#skip removable devices
		;;
esac
